task Realigner {

  File ref_dir
  String fasta
  File dbmills_dir
  String db_mills

  String SENTIEON_INSTALL_DIR
  String SENTIEON_LICENSE

  File deduped_bam
  File deduped_bam_index
  String docker
  String cluster_config
  String disk_size

  String sample=basename(deduped_bam, ".sorted.deduped.bam")
  
  command <<<
    set -o pipefail
    set -e
    export SENTIEON_LICENSE=${SENTIEON_LICENSE}
    nt=$(nproc)
    
    ${SENTIEON_INSTALL_DIR}/bin/sentieon driver -t $nt \
    -r ${ref_dir}/${fasta} \
    -i ${deduped_bam} \
    --algo Realigner -k ${dbmills_dir}/${db_mills} ${sample}.sorted.deduped.realigned.bam
    
  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }

  output {
    File realigner_bam = "${sample}.sorted.deduped.realigned.bam"
    File realigner_bam_index = "${sample}.sorted.deduped.realigned.bam.bai"
  }
}


